" local syntax file - set colors on a per-machine basis:
" vim: tw=0 ts=4 sw=4 nowrap
" Vim color file
" Maintainer:	Steven Vertigan <steven@vertigan.wattle.id.au>
" Last Change:	2001 Sep 10
" Revision #4: Support for new "Underline" group. Removed superfluous html
"              formatting.

set background=dark
hi clear
if exists("syntax_on")
  syntax reset
endif
let g:colors_name = "george"

" hi Normal		guifg=white		guibg=darkBlue	
" hi Normal		ctermfg=white	ctermbg=darkBlue
" hi NonText		guifg=magenta	ctermfg=lightMagenta
" hi comment		guifg=gray		gui=bold	
" hi comment		ctermfg=gray
" hi constant		guifg=cyan		ctermfg=cyan
" hi identifier	guifg=gray		ctermfg=gray
" hi statement	guifg=yellow	gui=none	ctermfg=yellow
" hi preproc		guifg=green		ctermfg=green
" hi type			guifg=orange	ctermfg=darkYellow
" hi special		guifg=magenta	ctermfg=lightMagenta
" hi Underlined	guifg=cyan 		ctermfg=cyan
" hi Underlined	gui=underline	cterm=underline
" 
" hi ErrorMsg		guifg=orange	guibg=darkBlue	
" hi ErrorMsg		ctermfg=lightRed
" hi WarningMsg	guifg=cyan		guibg=darkBlue	gui=bold	
" hi WarningMsg	ctermfg=cyan
" hi ModeMsg		guifg=yellow	gui=NONE
" hi ModeMsg		ctermfg=yellow
" hi MoreMsg		guifg=yellow	gui=NONE
" hi MoreMsg		ctermfg=yellow
" hi Error		guifg=red		guibg=darkBlue	gui=underline
" hi Error		ctermfg=red
" 
" hi Todo			guifg=black		guibg=orange
" hi Todo			ctermfg=black	ctermbg=darkYellow
" hi Cursor		guifg=black		guibg=white
" hi Cursor		ctermfg=black	ctermbg=white
" hi Search		guifg=black		guibg=orange
" hi Search		ctermfg=black	ctermbg=darkYellow
" hi IncSearch	guifg=black		guibg=yellow
" hi IncSearch	ctermfg=black	ctermbg=darkYellow
" hi LineNr		guifg=pink		ctermfg=lightMagenta
" hi title		guifg=white	gui=bold	cterm=bold
" 
" hi StatusLineNC	gui=NONE	guifg=black guibg=blue
" hi StatusLineNC	ctermfg=black  ctermbg=blue
" hi StatusLine	gui=bold	guifg=cyan	guibg=blue
" hi StatusLine	ctermfg=cyan   ctermbg=blue
" 
" hi label		guifg=yellow	ctermfg=yellow
" hi operator		guifg=orange	gui=bold	ctermfg=darkYellow
" hi clear Visual
" hi Visual		term=reverse 
" hi Visual 		ctermfg=black	ctermbg=darkCyan
" hi Visual		guifg=black		guibg=darkCyan
" 
" hi DiffChange	guibg=darkGreen		guifg=black
" hi DiffText		guibg=olivedrab		guifg=black
" hi DiffText		ctermbg=lightGreen	ctermfg=black
" hi DiffAdd		guibg=slateblue		guifg=black
" hi DiffDelete   guibg=coral			guifg=black	
" hi DiffDelete	ctermbg=cyan		ctermfg=black
" 
" hi Folded		guibg=orange		guifg=black	
" hi Folded		ctermbg=yellow		ctermfg=black
" hi FoldColumn	guibg=gray30		guifg=black
" hi FoldColumn	ctermbg=gray		ctermfg=black
" hi cIf0			guifg=gray			ctermfg=gray

hi Normal		guifg=yellowgreen		guibg=black
hi SpecialKey	term=bold	ctermfg=2	guifg=LimeGreen
hi NonText		term=bold	cterm=bold	guifg=PaleGreen3
hi Directory	term=bold	ctermfg=2	guifg=CadetBlue3
hi ErrorMsg		term=standout cterm=bold ctermbg=NONE ctermfg=1 guibg=NONE  guifg=Orange
hi Search		term=reverse  ctermbg=NONE ctermfg=3 guibg=NONE  guifg=Yellow
hi IncSearch	term=reverse  cterm=reverse ctermfg=7
hi MoreMsg		term=bold	cterm=bold	ctermfg=6  gui=NONE guifg=DarkSalmon
hi ModeMsg		term=bold	cterm=NONE	ctermfg=2  gui=NONE guifg=chartreuse
hi LineNr		term=underline	ctermfg=6	guifg=Peru
hi Question		term=standout	cterm=bold	ctermfg=2  gui=NONE  guifg=DarkSalmon
hi StatusLine	term=reverse	cterm=bold	ctermbg=4  gui=NONE	 guibg=MidnightBlue guifg=Wheat
hi StatusLineNC	gui=NONE		guibg=DarkSlateGrey guifg=yellowgreen
hi Title		term=bold	cterm=bold  ctermfg=5  gui=NONE  guifg=plum3
hi Visual		term=reverse cterm=bold ctermbg=4 gui=NONE guibg=MidnightBlue guifg=LightGoldenrod2
hi WarningMsg	term=standout cterm=bold ctermfg=3  guifg=Red
hi Cursor		guifg=bg  guibg=gold1

" vimdiff
hi DiffChange	ctermbg=darkGreen	ctermfg=black
hi DiffAdd		ctermbg=darkYellow	ctermfg=black

" spell
hi SpellRare	ctermbg=blue		ctermfg=darkYellow
hi SpellLocal	ctermbg=blue		ctermfg=grey

" Popups
hi Pmenu		cterm=bold,reverse
hi PmenuSel		cterm=bold,underline,reverse
hi PmenuSbar	ctermbg=magenta
hi PmenuThumb	cterm=NONE			ctermbg=darkYellow

" Syntax

hi Identifier	cterm=NONE
hi Statement	term=bold cterm=bold	ctermfg=8  guifg=darkkhaki
hi Comment		term=NONE ctermfg=5 guifg=darkgrey
hi PreProc		term=underline	ctermfg=2  guifg=violet
hi Constant		term=underline	ctermfg=7  guifg=grey80
hi String		term=NONE ctermfg=6 guifg=cyan3
hi Type			term=underline	ctermfg=3  guifg=SeaGreen
hi Special		term=bold	ctermfg=5  guifg=SkyBlue
hi Keyword		term=bold	cterm=reverse ctermfg=2 guibg=DarkSlateGrey
hi IKeyword		term=bold	cterm=reverse ctermfg=7 guibg=DarkSlateGrey guifg=grey80
hi BKeyword		term=bold	cterm=reverse ctermfg=3 guibg=DarkSlateGrey guifg=darkkhaki
hi link Character String
