#!/usr/bin/env python
"Example how to program in Python via Regexp"

import re

def Look_and_Say(n):
  "Produce next element of John Horton Conway's Look-and-say sequence"
  groups=re.findall(r"((.)\2*)",str(n))		  # (aaa, a), (bb, b) ...
  pairs=["%d%s"%(len(a[0]),a[1]) for a in groups] # 3a, 2b, ...
  return int("".join(pairs))			  # 3a2b...

k=1
print 1,k
for i in range(2,11):
  k=Look_and_Say(k)
  print i,k
