#!/usr/bin/env python
"Example how to program in Python the Pascal way"

def Look_and_Say(Num):
  "Produce next element of John Horton Conway's Look-and-say sequence"
  result=0
  value=Num%10				# Last digit
  number=1				# Number of equal digits
  pos=1					# 1, 100, 10000 etc.
  n=Num/10
  while n>0:
    if n%10 <> value:			# No more equal digits now
      result=result+(number*10+value)*pos
      value=n%10			# store new value
      number=1				# reset counter
      pos=pos*100			# change position by 2
    else:				# Another same digit
      number=number+1
    n=n/10
  result=result+(number*10+value)*pos
  return result

k=1
print 1,k
for i in range(2,11):
  k=Look_and_Say(k)
  print i,k
